- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CSizingControlBar Class Reference

List of all members.

## Public Member Functions
| CSizingControlBar ()
virtual BOOL | Create (LPCTSTR lpszWindowName, CWnd *pParentWnd, CSize sizeDefault, BOOL bHasGripper, UINT nID, DWORD dwStyle=WS_CHILD|WS_VISIBLE|CBRS_TOP)
virtual BOOL | Create (LPCTSTR lpszWindowName, CWnd *pParentWnd, UINT nID, DWORD dwStyle=WS_CHILD|WS_VISIBLE|CBRS_TOP)
const BOOL | IsFloating () const
const BOOL | IsHorzDocked () const
const BOOL | IsVertDocked () const
const BOOL | IsSideTracking () const
const BOOL | GetSCBStyle () const
virtual void | LoadState (LPCTSTR lpszProfileName)
virtual void | SaveState (LPCTSTR lpszProfileName)
void | SetSCBStyle (DWORD dwSCBStyle)
void | SetHeight (const int nHeight)
virtual void | OnUpdateCmdUI (CFrameWnd *pTarget, BOOL bDisableIfNoHndler)
virtual CSize | CalcFixedLayout (BOOL bStretch, BOOL bHorz)
virtual CSize | CalcDynamicLayout (int nLength, DWORD dwMode)
virtual | ~CSizingControlBar ()
## Static Public Member Functions
static void | GlobalLoadState (CFrameWnd *pFrame, LPCTSTR lpszProfileName)
static void | GlobalSaveState (CFrameWnd *pFrame, LPCTSTR lpszProfileName)
## Protected Member Functions
UINT | GetEdgeHTCode (int nEdge)
BOOL | GetEdgeRect (CRect rcWnd, UINT nHitTest, CRect &rcEdge)
virtual void | StartTracking (UINT nHitTest, CPoint point)
virtual void | StopTracking ()
virtual void | OnTrackUpdateSize (CPoint &point)
virtual void | OnTrackInvertTracker ()
virtual void | NcPaintGripper (CDC *pDC, CRect rcClient)
virtual void | NcCalcClient (LPRECT pRc, UINT nDockBarID)
virtual void | AlignControlBars ()
void | GetRowInfo (int &nFirst, int &nLast, int &nThis)
void | GetRowSizingBars (CSCBArray &arrSCBars)
void | GetRowSizingBars (CSCBArray &arrSCBars, int &nThis)
BOOL | NegotiateSpace (int nLengthTotal, BOOL bHorz)
afx_msg int | OnCreate (LPCREATESTRUCT lpCreateStruct)
afx_msg void | OnNcPaint ()
afx_msg void | OnNcCalcSize (BOOL bCalcValidRects, NCCALCSIZE_PARAMS FAR *lpncsp)
afx_msg LRESULT | OnNcHitTest (CPoint point)
afx_msg void | OnCaptureChanged (CWnd *pWnd)
afx_msg void | OnSettingChange (UINT uFlags, LPCTSTR lpszSection)
afx_msg void | OnLButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnMouseMove (UINT nFlags, CPoint point)
afx_msg void | OnNcLButtonDown (UINT nHitTest, CPoint point)
afx_msg void | OnLButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnLButtonDblClk (UINT nFlags, CPoint point)
afx_msg void | OnRButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnWindowPosChanging (WINDOWPOS FAR *lpwndpos)
afx_msg void | OnPaint ()
afx_msg void | OnClose ()
afx_msg void | OnSize (UINT nType, int cx, int cy)
afx_msg LRESULT | OnSetText (WPARAM wParam, LPARAM lParam)
## Protected Attributes
DWORD | m_dwSCBStyle
UINT | m_htEdge
CSize | m_szHorz
CSize | m_szVert
CSize | m_szFloat
CSize | m_szMinHorz
CSize | m_szMinVert
CSize | m_szMinFloat
int | m_nTrackPosMin
int | m_nTrackPosMax
int | m_nTrackPosOld
int | m_nTrackEdgeOfs
BOOL | m_bTracking
BOOL | m_bKeepSize
BOOL | m_bParentSizing
BOOL | m_bDragShowContent
UINT | m_nDockBarID
int | m_cxEdge
BOOL | m_bFixedFloat
CSize | m_szFixedFloat

## Detailed Description

Definition at line 73 of file sizecbar.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/ui/sizecbar/sizecbar.h
- C:/guliverkli/src/ui/sizecbar/sizecbar.cpp